Cyberduck Mountain Duck CLI

#7775 closed defect (thirdparty)

401 response for HEAD request

Reported by: pspringer Owned by: dkocher
Priority: normal Milestone: 4.4.4
Component: webdav Version: 4.4.3
Severity: normal Keywords:
Cc: Architecture:
Platform: Windows 7

Description

Hi, we are using Liferay document library, the files can be accessed via WebDAV. When I try to access the folders with Cyberduck (Version 4.2.1) on Mac, everything works fine. When I try to connect with Cyberduck (Version 4.4.3) on Windows 7, I can't login. It says "Unauthorized. Please contact your web hosting service provider for assistance."

LOG:

HEAD /api/secure/webdav/name/document_library/ HTTP/1.1
Host: some.server.de
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.3 (14140) (Windows 7/6.1) (x86)
Authorization: Basic cHNxyzxyz...xyzxyzdXo2cQ==
HTTP/1.1 401 Unauthorized
Date: Wed, 05 Feb 2014 12:59:36 GMT
Set-Cookie: JSESSIONID=875F8Axyzxyz...xyzxyz29A3E13064; Path=/; Secure; HttpOnly
Set-Cookie: JSESSIONID=875F8Axyzxyz...xyzxyz051329A3E13064; Path=/; Secure
WWW-Authenticate: Digest realm="PortalRealm", nonce="03513fxyzxyz...xyzxyza69f4b90"
Content-Type: text/html;charset=utf-8
Content-Length: 954
Keep-Alive: timeout=20, max=1000
Connection: Keep-Alive
HEAD /api/secure/webdav/name/document_library/ HTTP/1.1
Host: some.server.de
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.3 (14140) (Windows 7/6.1) (x86)
Cookie: JSESSIONID=875F8Axyzxyz...xyzxyzA3E13064
Cookie2: $Version=1
Authorization: Digest username="name@server.de", realm="PortalRealm", nonce="0351xyzxyz...xyzxyza69f4b90", uri="/api/secure/webdav/name/document_library/", response="fa3e272xyzxyz...xyzxyz707e24b995", algorithm="MD5"
HTTP/1.1 401 Unauthorized
Date: Wed, 05 Feb 2014 12:59:36 GMT
WWW-Authenticate: Digest realm="PortalRealm", nonce="aaf0463xyzxyz...xyzxyz49e6621"
Content-Type: text/html;charset=utf-8
Content-Length: 954
Keep-Alive: timeout=20, max=999
Connection: Keep-Alive 

Change History (3)

comment:1 Changed on Feb 5, 2014 at 9:10:01 PM by dkocher

  • Resolution set to thirdparty
  • Status changed from new to closed

Please report this bug to the server software vendor Liferay to properly support HEAD requests. It looks like 401 is returned even if the request is properly authorized with HTTP Digest user credentials. Reopen this ticket if you have more information from the vendor that the interoperability issue is on our side.

comment:2 Changed on Feb 17, 2014 at 7:35:52 PM by dkocher

  • Milestone set to 4.4.4

#7792 closed as duplicate.

comment:3 Changed on Feb 17, 2014 at 7:36:04 PM by dkocher

#7795 closed as duplicate.

Note: See TracTickets for help on using tickets.
swiss made software